Bug 1574638 - Refresh button is displayed in request page
Summary: Refresh button is displayed in request page
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.10.0
Assignee: Zita Nemeckova
QA Contact: Niyaz Akhtar Ansari
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-03 18:21 UTC by Shveta
Modified: 2019-02-07 23:02 UTC (History)
7 users (show)

Fixed In Version: 5.10.0.4
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:02:08 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)
dialog (3.58 KB, text/x-vhdl)
2018-05-03 18:21 UTC, Shveta
no flags Details
domain (4.82 KB, application/zip)
2018-05-03 18:22 UTC, Shveta
no flags Details
Refresh button (120.74 KB, image/png)
2018-05-03 18:23 UTC, Shveta
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:02:12 UTC

Description Shveta 2018-05-03 18:21:50 UTC
Created attachment 1430820 [details]
dialog

Description of problem:


Version-Release number of selected component (if applicable):
5.9.2.4.20180501195858_35dc609

How reproducible:


Steps to Reproduce:
1. Import the dialog and domain attached .
2. Create a catalog item with above dialog.
3. Order catalog item . Go to Request . click on request .
4. Refresh button is displayed as in attached screenshot.
Actual results:


Expected results:


Additional info:

Comment 2 Shveta 2018-05-03 18:22:07 UTC
Created attachment 1430821 [details]
domain

Comment 3 Shveta 2018-05-03 18:23:08 UTC
Created attachment 1430822 [details]
Refresh button

Comment 7 CFME Bot 2018-07-12 09:57:13 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:

https://github.com/ManageIQ/manageiq-ui-classic/commit/277bf4b59eb3e5294a8afd1fc6d058165c035712
commit 277bf4b59eb3e5294a8afd1fc6d058165c035712
Author:     Zita Nemeckova <znemecko@redhat.com>
AuthorDate: Tue Jul 10 10:27:43 2018 -0400
Commit:     Zita Nemeckova <znemecko@redhat.com>
CommitDate: Tue Jul 10 10:27:43 2018 -0400

    Don't show refresh button on Request page

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1574638

 app/views/shared/dialogs/_dialog_field.html.haml | 9 +-
 app/views/shared/dialogs/_dialog_field_check_box.html.haml | 2 +-
 app/views/shared/dialogs/_dialog_field_date_and_date_time_control.html.haml | 2 +-
 app/views/shared/dialogs/_dialog_field_drop_down_list.html.haml | 2 +-
 app/views/shared/dialogs/_dialog_field_radio_button.html.haml | 2 +-
 app/views/shared/dialogs/_dialog_field_text_area_box.html.haml | 2 +-
 app/views/shared/dialogs/_dialog_field_text_box.html.haml | 2 +-
 7 files changed, 14 insertions(+), 7 deletions(-)

Comment 8 Niyaz Akhtar Ansari 2018-09-04 08:33:30 UTC
Verified in Version 5.10.0.14.20180831154906_2f9a1dd

Comment 10 errata-xmlrpc 2019-02-07 23:02:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.